## isso 0.9.9

=== Makefile ===
ISSO_JS_SRC := $(shell find isso/js/app -type f) \
	       $(shell ls isso/js/*.js | grep -vE "(min|dev)") \
	       isso/js/lib/requirejs-jade/jade.js

ISSO_JS_DST := isso/js/embed.min.js isso/js/embed.dev.js \
	       isso/js/count.min.js isso/js/count.dev.js

ISSO_CSS := isso/css/isso.css

ISSO_PY_SRC := $(shell git ls-files | grep -E "^isso/.+.py$$")

DOCS_RST_SRC := $(shell find docs/ -type f -name '*.rst') \
		$(wildcard docs/_isso/*) \
	        docs/index.html docs/conf.py docs/docutils.conf \
		share/isso.conf

DOCS_CSS_SRC := docs/_static/css/site.scss

DOCS_CSS_DEP := $(shell find docs/_static/css/neat -type f) \
		$(shell find docs/_static/css/bourbon -type f)

DOCS_CSS_DST := docs/_static/css/site.css

DOCS_MAN_DST := man/man1/isso.1 man/man5/isso.conf.5

DOCS_HTML_DST := docs/_build/html

all: man js site

init:
	(cd isso/js; bower install almond requirejs requirejs-text jade)

check:
	@echo "Python 2.x"
	-@python2 -m pyflakes $(ISSO_PY_SRC)
	@echo "Python 3.x"
	-@python3 -m pyflakes $(ISSO_PY_SRC)

isso/js/%.min.js: $(ISSO_JS_SRC) $(ISSO_CSS)
	r.js -o isso/js/build.$*.js out=$@

isso/js/%.dev.js: $(ISSO_JS_SRC) $(ISSO_CSS)
	r.js -o isso/js/build.$*.js optimize="none" out=$@

js: $(ISSO_JS_DST)

man: $(DOCS_RST_SRC)
	sphinx-build -b man docs/ man/
	mv man/isso.1 man/man1/isso.1
	mv man/isso.conf.5 man/man5/isso.conf.5

${DOCS_CSS_DST}: $(DOCS_CSS_SRC) $(DOCS_CSS_DEP)
	scss --no-cache $(DOCS_CSS_SRC) $@

${DOCS_HTML_DST}: $(DOCS_RST_SRC) $(DOCS_CSS_DST)
	sphinx-build -b dirhtml docs/ $@

site: $(DOCS_HTML_DST)

coverage: $(ISSO_PY_SRC)
	nosetests --with-doctest --with-coverage --cover-package=isso --cover-html isso/

test: $($ISSO_PY_SRC)
	python setup.py nosetests

clean:
	rm -f $(DOCS_MAN_DST) $(DOCS_CSS_DST) $(ISSO_JS_DST)
	rm -rf $(DOCS_HTML_DST)

.PHONY: clean site man init js coverage test

=== debian/changelog ===
isso (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * Make clean target remove symlinks.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Mar 2015 20:07:03 +0100

isso (0.9.7-1) experimental; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 27 Sep 2014 12:20:06 +0200

isso (0.9.4-1) experimental; urgency=low

  * Initial release. (Closes: #729218)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Jun 2014 19:31:11 +0100

=== debian/control ===
Source: isso
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 libjs-dojo-core,
 node-almond (>= 0.2.9),
 node-jade (>= 1.5.0),
 node-requirejs (>= 2.1.9),
 node-requirejs-text (>= 2.0.12),
 node-uglify (>= 2.4.13-2),
 nodejs,
 python-all,
 python-setuptools,
 python-sphinx
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://posativ.org/isso/
Vcs-Git: git://anonscm.debian.org/collab-maint/isso.git -b experimental
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/isso.git;a=log;h=refs/heads/experimental

Package: isso
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
 python-html5lib,
 python-ipaddr,
 python-itsdangerous,
 python-misaka,
 python-werkzeug (>= 0.9~)
Recommends:
 gunicorn
Provides: ${python:Provides}
Description: lightweight web-based commenting system
 A lightweight commenting system written in Python. It supports CRUD comments
 written in Markdown, Disqus import, I18N, website integration via JavaScript.
 Comments are stored in SQLite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export PYBUILD_NAME=isso

R_JS = /usr/bin/nodejs /usr/lib/nodejs/r.js

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

rm_js_symlinks:
	echo "Removing JS symlinks"
	rm -rf isso/js/components/almond
	rm -rf isso/js/components/jade
	rm -rf isso/js/components/requirejs-domready
	rm -rf isso/js/components/requirejs-text
	echo "Removing built JS libraries"
	rm -f ./isso/js/count.min.js isso/js/count.dev.js
	rm -f ./isso/js/embed.min.js isso/js/embed.dev.js

js_symlinks:
	echo "Creating directories"
	mkdir -p isso/js/components/almond
	mkdir -p isso/js/components/jade
	mkdir -p isso/js/components/requirejs-domready
	mkdir -p isso/js/components/requirejs-text
	echo "Linking JS libraries"
	ln -s /usr/lib/nodejs/almond.js isso/js/components/almond/
	ln -s /usr/lib/nodejs/jade/lib/runtime.js isso/js/components/jade/
	ln -s /usr/lib/nodejs/requirejs/text.js isso/js/components/requirejs-text/
	ln -s /usr/share/javascript/dojo/domReady.js isso/js/components/requirejs-domready/

js_mini: js_symlinks
	# Unused until node-uglify 2.4 will be available
	echo "Checking required JS libraries"
	test -f isso/js/components/almond/almond.js
	test -f isso/js/components/jade/runtime.js
	test -f isso/js/components/requirejs-domready/domReady.js
	test -f isso/js/components/requirejs-text/text.js
	echo "Compiling JS libraries"
	$(R_JS) -o isso/js/build.embed.js out=isso/js/embed.min.js
	$(R_JS) -o isso/js/build.embed.js optimize="none" out=isso/js/embed.dev.js
	$(R_JS) -o isso/js/build.count.js out=isso/js/count.min.js
	$(R_JS) -o isso/js/build.count.js optimize="none" out=isso/js/count.dev.js

override_dh_auto_build: js_mini
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -q -E -bhtml docs build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p isso
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_install:
	dh_auto_install
	pybuild --install -i python{version} -p 2.7 --dir . --verbose --test-nose

override_dh_auto_clean: rm_js_symlinks
	dh_auto_clean

=== debian/watch ===
version=3
https://github.com/posativ/isso/tags .*/v?(\d\S*)\.tar\.gz

## isso 0.10.4

=== debian/changelog ===
isso (0.10.4-1) unstable; urgency=medium

  * New upstream release.
  * Add patch 0002-remove-flattr.patch, remove flattr link that uses non-
    free icon.
  * Drop patch 0001-Allow-ISSO_SETTINGS-env-variable-to-be-a-
    directory.patch.
  * Add dependency on ruby-sass for scss.
  * Use upstream provided javascript for now, until a new node-jade is
    available. Closes: #783490

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Nov 2015 16:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,12 @@
  debhelper (>= 9~),
  dh-python,
  libjs-dojo-core,
- node-almond (>= 0.2.9),
- node-jade (>= 1.5.0),
- node-requirejs (>= 2.1.9),
- node-requirejs-text (>= 2.0.12),
  node-uglify (>= 2.4.13-2),
  nodejs,
  python-all,
  python-setuptools,
- python-sphinx
+ python-sphinx,
+ ruby-sass
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://posativ.org/isso/

## isso 0.10.6

=== Makefile ===
--- 
+++ 
@@ -25,10 +25,12 @@
 
 DOCS_HTML_DST := docs/_build/html
 
+RJS = r.js
+
 all: man js site
 
 init:
-	(cd isso/js; bower install almond requirejs requirejs-text jade)
+	(cd isso/js; bower --allow-root install almond requirejs requirejs-text jade)
 
 check:
 	@echo "Python 2.x"
@@ -37,15 +39,16 @@
 	-@python3 -m pyflakes $(ISSO_PY_SRC)
 
 isso/js/%.min.js: $(ISSO_JS_SRC) $(ISSO_CSS)
-	r.js -o isso/js/build.$*.js out=$@
+	$(RJS) -o isso/js/build.$*.js out=$@
 
 isso/js/%.dev.js: $(ISSO_JS_SRC) $(ISSO_CSS)
-	r.js -o isso/js/build.$*.js optimize="none" out=$@
+	$(RJS) -o isso/js/build.$*.js optimize="none" out=$@
 
 js: $(ISSO_JS_DST)
 
 man: $(DOCS_RST_SRC)
 	sphinx-build -b man docs/ man/
+	mkdir -p man/man1/ man/man5
 	mv man/isso.1 man/man1/isso.1
 	mv man/isso.conf.5 man/man5/isso.conf.5

=== debian/changelog ===
isso (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.8 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 01 Oct 2016 02:22:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: isso
 Section: python
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends:
  debhelper (>= 9~),
@@ -13,7 +13,7 @@
  python-setuptools,
  python-sphinx,
  ruby-sass
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://posativ.org/isso/
 Vcs-Git: git://anonscm.debian.org/collab-maint/isso.git -b experimental

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export PYBUILD_NAME=isso

RJS = /usr/bin/nodejs /usr/lib/nodejs/r.js

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

rm_js_symlinks:
	echo "Removing built JS libraries"
	rm -f ./isso/js/count.min.js
	rm -f ./isso/js/embed.min.js

override_dh_auto_build:
	RJS="$(RJS)" dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -q -E -bhtml docs build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p isso
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_install:
	dh_auto_install
	pybuild --install -i python{version} -p 2.7 --dir . --verbose --test-nose

override_dh_auto_clean: rm_js_symlinks
	dh_auto_clean

## isso 0.10.6+git20170928+dfsg

=== Makefile ===
--- 
+++ 
@@ -34,9 +34,9 @@
 
 check:
 	@echo "Python 2.x"
-	-@python2 -m pyflakes $(ISSO_PY_SRC)
+	@python2 -m pyflakes $(filter-out isso/compat.py,$(ISSO_PY_SRC))
 	@echo "Python 3.x"
-	-@python3 -m pyflakes $(ISSO_PY_SRC)
+	@python3 -m pyflakes $(filter-out isso/compat.py,$(ISSO_PY_SRC))
 
 isso/js/%.min.js: $(ISSO_JS_SRC) $(ISSO_CSS)
 	$(RJS) -o isso/js/build.$*.js out=$@

=== debian/changelog ===
isso (0.10.6+git20170928+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix minification.
  * Add missing dependency on python-configobj. Closes: #872713, #876823
  * Drop use of bleach.
  * Bump standards version to 4.1.1 (no changes).
  * Add patch 0004-local-js.patch: Use local copy of embed.min.js

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 29 Jul 2017 16:35:48 +0000

isso (0.10.6-2) unstable; urgency=medium

  * Add missing dependency on python-configparser.
  * Add 0001-use-bleach.patch: use bleach for HTML sanitizing, as
    support for this has been removed in newer versions of htm5lib.
    Closes: #852208.
  * Add missing dependency on lsb-base, used by init script.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Jan 2017 20:44:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,23 @@
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
- libjs-dojo-core,
+ node-almond,
  node-uglify (>= 2.4.13-2),
+ node-jade,
+ node-requirejs,
+ node-requirejs-text,
  nodejs,
  python-all,
+ python-html5lib,
+ python-configparser,
  python-setuptools,
  python-sphinx,
  ruby-sass
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 Homepage: http://posativ.org/isso/
-Vcs-Git: git://anonscm.debian.org/collab-maint/isso.git -b experimental
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/isso.git;a=log;h=refs/heads/experimental
+Vcs-Git: git://anonscm.debian.org/collab-maint/isso.git -b unstable
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/isso.git;a=log;h=refs/heads/unstable
 
 Package: isso
 Architecture: all
@@ -25,6 +30,8 @@
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends},
+ lsb-base (>= 3.0-6),
+ python-configparser,
  python-html5lib,
  python-ipaddr,
  python-itsdangerous,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export PYBUILD_NAME=isso

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) RJS="node /usr/lib/nodejs/requirejs/r.js" LC_ALL=C.UTF-8
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -q -E -bhtml docs build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p isso
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_install:
	dh_auto_install
	pybuild --install -i python{version} -p 2.7 --dir . --verbose --test-nose

override_dh_auto_clean:
	dh_auto_clean
	rm -f ./isso/js/count.min.js ./isso/js/count.dev.js
	rm -f ./isso/js/embed.min.js ./isso/js/embed.dev.js

## isso 0.12.2

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# INSTALLATION: pip install sphinx && npm install --global node-sass
+
+FLAKE_IGNORE=E226,E241,E265,E402,E501,E704
+
 ISSO_JS_SRC := $(shell find isso/js/app -type f) \
 	       $(shell ls isso/js/*.js | grep -vE "(min|dev)") \
 	       isso/js/lib/requirejs-jade/jade.js
@@ -27,16 +31,15 @@
 
 RJS = r.js
 
+SASS = node-sass
+
 all: man js site
 
 init:
 	(cd isso/js; bower --allow-root install almond requirejs requirejs-text jade)
 
-check:
-	@echo "Python 2.x"
-	@python2 -m pyflakes $(filter-out isso/compat.py,$(ISSO_PY_SRC))
-	@echo "Python 3.x"
-	@python3 -m pyflakes $(filter-out isso/compat.py,$(ISSO_PY_SRC))
+flakes:
+	flake8 . --count --ignore=${FLAKE_IGNORE} --max-line-length=127 --show-source --statistics
 
 isso/js/%.min.js: $(ISSO_JS_SRC) $(ISSO_CSS)
 	$(RJS) -o isso/js/build.$*.js out=$@
@@ -53,7 +56,7 @@
 	mv man/isso.conf.5 man/man5/isso.conf.5
 
 ${DOCS_CSS_DST}: $(DOCS_CSS_SRC) $(DOCS_CSS_DEP)
-	scss --no-cache $(DOCS_CSS_SRC) $@
+	$(SASS) --no-cache $(DOCS_CSS_SRC) $@
 
 ${DOCS_HTML_DST}: $(DOCS_RST_SRC) $(DOCS_CSS_DST)
 	sphinx-build -b dirhtml docs/ $@

=== debian/changelog ===
isso (0.12.2-2) unstable; urgency=medium

  * Update patch 0003-js-paths.patch: Update for new node-almond path.
    Build-Depend on node-almond >= 0.3.3+dfsg.  Closes: #922391

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Feb 2019 17:41:47 +0000

isso (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Jan 2019 00:57:22 +0000

isso (0.12.1-1) unstable; urgency=medium

  * Add gitlab-ci configuration.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Jan 2019 20:37:31 +0000

isso (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 0007-admin-password.patch: applied upstream.
  * Bump standards version to 4.3.0 (no changes).
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 18 Jan 2019 20:20:09 +0000

isso (0.11.1-3) unstable; urgency=high

  * Update 0007-admin-password.patch: actually disable logins on the
    admin page, rather than just hiding the form.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Nov 2018 16:23:24 +0000

isso (0.11.1-2) unstable; urgency=high

  * Add patch 0007-admin-password: don't run admin interface with preset
    password by default.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Nov 2018 15:38:27 +0000

isso (0.11.1-1) unstable; urgency=medium

  * Move isso to section web. Closes: #910643
  * Use secure copyright file specification URI.
  * New upstream release.
  * Bump standards version to 4.2.1.
  * Add debian/upstream/metadata.
  * Bump debhelper version to 11.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Nov 2018 14:58:01 +0000

isso (0.10.6+git20181001+dfsg-1) unstable; urgency=high

  [ ghost ]
  * Fix FTBFS. Closes: #893651
  * New upstream snapshot.
  * Use python3.
  * Restore bleach as html5lib is not working.
  * Use libjs-jquery and libjs-underscore for doc pages.

  [ Jelmer Vernooĳ ]
  * Remove Federico from uploaders, per his request.
  * Point Vcs-* URLs at salsa.
  * Actually run nose tests during package build.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 05 Sep 2018 00:31:31 +0100

=== debian/control ===
Source: isso
Section: web
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 node-almond (>= 0.3.3+dfsg),
 node-uglify (>= 2.4.13-2),
 node-jade,
 node-requirejs,
 node-requirejs-text,
 nodejs,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-cffi,
 python3-nose,
 ruby-sass
Standards-Version: 4.3.0
Homepage: https://posativ.org/isso/
Vcs-Git: https://salsa.debian.org/jelmer/isso.git -b master
Vcs-Browser: https://salsa.debian.org/jelmer/isso.git

Package: isso
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
 lsb-base (>= 3.0-6),
 python3-bleach,
Recommends:
 libjs-jquery,
 libjs-underscore,
 gunicorn3
Provides: ${python:Provides}
Description: lightweight web-based commenting system
 A lightweight commenting system written in Python. It supports CRUD comments
 written in Markdown, Disqus import, I18N, website integration via JavaScript.
 Comments are stored in SQLite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export PYBUILD_NAME=isso

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --test-nose

override_dh_auto_build:
	nodejs /usr/lib/nodejs/requirejs/r.js -convert /usr/lib/nodejs/jade/lib/ isso/js/components/jade/
	$(MAKE) RJS="nodejs /usr/lib/nodejs/requirejs/r.js" LC_ALL=C.UTF-8 SASS="sass --sourcemap=none"
	rm docs/_build/html/_static/jquery.js
	rm docs/_build/html/_static/underscore.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf ./isso.egg-info/
	rm -rf ./debian/doctrees/ ./docs/_isso/remove_heading.pyc ./docs/_build/
	rm -rf .pybuild/
	rm -rf ./isso/js/components/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
     https://github.com/posativ/isso/tags .*/v?(\d\S*)\.tar\.gz
